/***************************************************************************
                          kap_classselectorpage.h  -  description
                             -------------------
    begin                : Sun Feb 27 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_CLASSSELECTORPAGE_H
#define KAP_CLASSSELECTORPAGE_H

#include <qwidget.h>
#include <kap_wizardpage.h>

/**
  *@author jec
  */


class QToolButton;
class QPushButton;
class QListBox;

class Kap_ClassSelectorPage : public Kap_WizardPage
{
   Q_OBJECT
public:
	Kap_ClassSelectorPage(QWidget *parent=0, const char *name=0);
	~Kap_ClassSelectorPage();

	virtual bool canNextPage(QString& msg);

	virtual Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	virtual Kap_Main::e_PageType getType() const;

protected slots:
	void slotOneMore();
	void slotOneLess();

protected:
  void initWidgets();

private:
	QListBox* allPrintersBox_;
	QListBox* selPrintersBox_;
	QToolButton* oneMoreButton_;
	QToolButton* oneLessButton_;
};

#endif
