/***************************************************************************
                          kap_driverdetectpage.h  -  description
                             -------------------
    begin                : Tue Feb 8 2000
    copyright            : (C) 2000 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_DRIVERDETECTPAGE_H
#define KAP_DRIVERDETECTPAGE_H

#include <qwidget.h>
#include <kap_wizardpage.h>

/**
  *@author Michael Goffioul
  */

class QTextView;
class QButtonGroup;

class Kap_DriverDetectPage : public Kap_WizardPage
{
   Q_OBJECT
public:
	Kap_DriverDetectPage(QWidget *parent=0, const char *name=0);
	~Kap_DriverDetectPage();

	virtual Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	virtual Kap_Main::e_PageType getType() const;

protected slots:
	void slotTypeChanged(int);

private:
	QTextView	*view_;
	QButtonGroup	*group_;
};

#endif
