/***************************************************************************
                          kap_driverselectorpage.h  -  description
                             -------------------
    begin                : Tue Feb 8 2000
    copyright            : (C) 2000 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_DRIVERSELECTORPAGE_H
#define KAP_DRIVERSELECTORPAGE_H

#include <qwidget.h>
#include <kap_wizardpage.h>

#include "kap_manumodeldico.h"

/**
  *@author Michael Goffioul
  */

class QListView;

class Kap_DriverSelectorPage : public Kap_WizardPage
{
public:
	Kap_DriverSelectorPage(QWidget *parent=0, const char *name=0);
	~Kap_DriverSelectorPage();

	virtual bool canNextPage(QString& msg);
	virtual Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	virtual Kap_Main::e_PageType getType() const;

	bool initialize();

private:
	QListView	*drivers_;
        Kap_ModelItemList	*values_;
};

#endif
