/***************************************************************************
                          kap_wizardpage.h  -  description
                             -------------------
    begin                : Tue Feb 1 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_WIZARDPAGE_H
#define KAP_WIZARDPAGE_H

#include <qwidget.h>

#include "kap_main.h"
#include <qstring.h>



/**
  *@author jec
  */



class Kap_WizardPage : public QWidget
{
   Q_OBJECT
public: 
	Kap_WizardPage(QWidget* parent, const char* name);
	~Kap_WizardPage();
	
	virtual bool initialize();
	
	virtual bool hasPrevPage();
	virtual bool hasNextPage();

	virtual bool slotOk();
	virtual bool slotCancel();
	virtual bool hasOkButton();
	virtual bool hasCancelButton();
	
	virtual bool canNextPage(QString& msg);
	
	virtual Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	virtual Kap_Main::e_PageType getType() const;
	
	const QString& getTitle() const;
	
protected:
	void setTitle(const QString& str);
	
private:	
	QString title_;
};

#endif
