#ifndef KPP_MEMBERSPAGE
#define KPP_MEMBERSPAGE

#include <qwidget.h>

class KPrinterDescription;
class QLabel;

class Kpp_MembersPage : public QWidget
{
	Q_OBJECT;
public:
	Kpp_MembersPage(QWidget *parent = 0, const char *name = 0);
	~Kpp_MembersPage();

	void setInfos(KPrinterDescription *d);
	void collectInfos(KPrinterDescription *d);

	bool hasChanged() const { return modified_; }

protected:
	void initWidget();

protected slots:
	void changeClicked();

private:
	KPrinterDescription	*desc_;
	QLabel	*infoLabel_;
	bool	modified_;
};

#endif
