#ifndef KUPS_PRINTERCONFIGURATOR_H
#define KUPS_PRINTERCONFIGURATOR_H

#include <cups/ppd.h>
#include <qtcups/globalppd.h>

class KPrinter;
class QWidget;

class Kups_PrinterConfigurator
{
public:
	Kups_PrinterConfigurator();
	~Kups_PrinterConfigurator();

	static bool configurePrinter(KPrinter *printer, QWidget *parent = 0);
	static global_ppd_file_t* getPPDFile();

private:
	static global_ppd_file_t	*ppdfile_;
};


#endif
