#ifndef CUPSDBROWSINGGENERALPAGE_H
#define CUPSDBROWSINGGENERALPAGE_H

#include "cupsdpage.h"

class QCheckBox;
class CupsdOption;

class CupsdBrowsingGeneralPage : public CupsdPage
{
public:
	CupsdBrowsingGeneralPage(QWidget *parent = 0, const char *name = 0);
	~CupsdBrowsingGeneralPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QCheckBox	*browsing_;
	QCheckBox	*browseshortnames_;
	QCheckBox	*implicitclasses_;

	CupsdOption	*opt_[3];
};

#endif
