/***************************************************************************
                          kap_fileselector.h  -  description
                             -------------------
    begin                : Fri Jan 5 2001
    copyright            : (C) 2001 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_FILESELECTOR_H
#define KAP_FILESELECTOR_H

#include <qwidget.h>
#include <kap_wizardpage.h>

/**
  *@author Michael Goffioul
  */

class QLineEdit;

class Kap_FileSelector : public Kap_WizardPage  {
   Q_OBJECT
public: 
	Kap_FileSelector(QWidget *parent=0, const char *name=0);
	~Kap_FileSelector();

	Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	bool canNextPage(QString& message);
	Kap_Main::e_PageType getType() const;
protected slots:
	void slotBrowse();
private:
	QLineEdit	*filepath_;
};

#endif
