#ifndef KAP_PRINTEROPTION_H
#define KAP_PRINTEROPTION_H

#include <cups/ppd.h>
#include <qwidget.h>
#include <qstrlist.h>

class QLabel;

class Kap_PrinterOption : public QWidget
{
	Q_OBJECT;

public:
	Kap_PrinterOption(ppd_option_t *option = 0, QWidget *parent = 0);
	~Kap_PrinterOption();

	void init(ppd_option_t *option);
	void initWidget();
	QSize sizeHint();

protected:
	void resizeEvent(QResizeEvent *);

protected slots:
	void slotOptionSelected(int);

private:
	QLabel	*optionname_;
	QWidget	*optionwidget_;
	ppd_option_t	*option_;
	QStrList	keywords_;
};

#endif