#ifndef KUPS_PRINTERINSTANCES_H
#define KUPS_PRINTERINSTANCES_H

#include <qwidget.h>

class QListViewItem;
class QListBox;
class QPushButton;
class KPrinter;

class Kups_PrinterInstances : public QWidget
{
	Q_OBJECT
public:
	Kups_PrinterInstances(QWidget *parent = 0, const char *name = 0);
	~Kups_PrinterInstances();

public slots:
	void slotPrinterSelected(QListViewItem*);

protected slots:
	void slotAdd();
	void slotCopy();
	void slotEdit();
	void slotRemove();
	void slotDefault();
	void slotTest();

protected:
	void updateForPrinter(KPrinter*);

private:
	QListBox	*list_;
	KPrinter	*printer_;
	QPushButton	*add_, *edit_, *remove_, *copy_, *default_, *test_;
};

#endif
