#ifndef	KUPS_PRINTERPROPERTIES
#define	KUPS_PRINTERPROPERTIES

#include <qtabdialog.h>
#include <qlist.h>

class Kpp_GeneralPage;
class Kpp_BackendPage;
class Kpp_DriverPage;
class Kpp_MembersPage;
class KPrinterDescription;
class KPrinter;

class Kups_PrinterProperties : public QTabDialog
{
public:
	Kups_PrinterProperties(QWidget *parent = 0, const char *name = 0);
	~Kups_PrinterProperties();

	void setPrinter(KPrinter *printer);

protected:
	virtual void done(int res);
	void initDialog();

private:
	Kpp_GeneralPage	*general_;
	Kpp_BackendPage	*backend_;
	Kpp_DriverPage *driver_;
	Kpp_MembersPage *members_;
	KPrinterDescription	*desc_;
	KPrinter	*printer_;
};

#endif
