#ifndef CUPSDNETWORKGENERALPAGE_H
#define CUPSDNETWORKGENERALPAGE_H

#include "cupsdpage.h"

class CupsListBox;
class CupsdOption;
class QCheckBox;
class QLineEdit;

class CupsdNetworkGeneralPage : public CupsdPage
{
public:
	CupsdNetworkGeneralPage(QWidget *parent = 0, const char *name = 0);
	~CupsdNetworkGeneralPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	CupsListBox	*port_;
	QCheckBox	*hostnamelookups_;
	QLineEdit	*maxrequestsize_;
	QLineEdit	*timeout_;

	CupsdOption	*opt_[4];
};

#endif
