#ifndef CUPSDSERVERIDENTITYPAGE_H
#define CUPSDSERVERIDENTITYPAGE_H

#include "cupsdpage.h"

class QLineEdit;
class CupsdOption;

class CupsdServerIdentityPage : public CupsdPage
{
public:
	CupsdServerIdentityPage(QWidget *parent = 0, const char *name = 0);
	~CupsdServerIdentityPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QLineEdit	*servername_;
	QLineEdit	*serveradmin_;
	QLineEdit	*user_;
	QLineEdit	*group_;
	QLineEdit	*remroot_;

	CupsdOption	*opt_[5];
};

#endif
