#ifndef	CUPSLOCATIONDIALOG_H
#define	CUPSLOCATIONDIALOG_H

#include <qtabdialog.h>

class CupsLocationGeneral;
class CupsLocationAccess;
struct CupsLocation;
struct CupsdConf;

class CupsLocationDialog : public QTabDialog
{
	Q_OBJECT;
public:
	CupsLocationDialog(CupsdConf *conf, QWidget *parent = 0, const char *name = 0);
	~CupsLocationDialog();

	void loadLocation(CupsLocation *loc);
	void saveLocation(CupsLocation *loc);

protected slots:
	virtual void done(int result);
        virtual void slotHelp();

private:
	CupsLocationGeneral	*general_;
	CupsLocationAccess	*access_;
	CupsdConf		*conf_;		// only to have access to available resources
};

#endif
